clang 10.0.0git

Functions
CallAndMessageChecker.cpp File Reference
`#include "clang/StaticAnalyzer/Checkers/BuiltinCheckerRegistration.h"`
`#include "clang/AST/ParentMap.h"`
`#include "clang/Basic/TargetInfo.h"`
`#include "clang/StaticAnalyzer/Core/BugReporter/BugType.h"`
`#include "clang/StaticAnalyzer/Core/Checker.h"`
`#include "clang/StaticAnalyzer/Core/CheckerManager.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/CallEvent.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/CheckerContext.h"`
`#include "llvm/ADT/SmallString.h"`
`#include "llvm/ADT/StringExtras.h"`
`#include "llvm/Support/raw_ostream.h"`
Include dependency graph for CallAndMessageChecker.cpp:

Go to the source code of this file.

## Functions
static void | describeUninitializedArgumentInCall (const CallEvent &Call, int ArgumentNumber, llvm::raw_svector_ostream &Os)
static bool | supportsNilWithFloatRet (const llvm::Triple &triple)

## Function Documentation

## ◆ describeUninitializedArgumentInCall()

static void describeUninitializedArgumentInCall | ( | const CallEvent & | Call,
|  | int | ArgumentNumber,
|  | llvm::raw_svector_ostream & | Os
| ) |  |
| static

Definition at line 108 of file CallAndMessageChecker.cpp.

References clang::ento::CE_Block, clang::ento::CE_ObjCMessage, clang::RecordDecl::fields(), clang::for(), clang::CXXDeleteExpr::getArgument(), clang::Type::getAsStructureType(), clang::Decl::getBody(), clang::CallExpr::getCallee(), clang::RecordDecl::getDefinition(), clang::ObjCMessageExpr::getInstanceReceiver(), clang::ObjCMethodCall::getMessageKind(), clang::ObjCMethodCall::getOriginExpr(), clang::FunctionDecl::getParamDecl(), clang::Type::getPointeeType(), clang::ObjCMessageExpr::getReceiverRange(), clang::ObjCMethodCall::getReceiverSVal(), clang::ObjCMessageExpr::getSelector(), clang::ValueDecl::getType(), clang::Expr::IgnoreParens(), clang::CXXDeleteExpr::isArrayFormAsWritten(), clang::QualType::isConstQualified(), clang::Type::isPointerType(), clang::Type::isReferenceType(), clang::ObjCMethodCall::isSetter(), clang::OCM_Message, clang::OCM_PropertyAccess, clang::OCM_Subscript, clang::Selector::print(), State, and V.

## ◆ supportsNilWithFloatRet()

static bool supportsNilWithFloatRet | ( | const llvm::Triple & | triple | ) |
| static

Definition at line 538 of file CallAndMessageChecker.cpp.

References clang::ASTContext::DoubleTy, clang::ASTContext::FloatTy, clang::ASTContext::getCanonicalType(), clang::ObjCMethodCall::getOriginExpr(), clang::ASTContext::getTargetInfo(), clang::TargetInfo::getTriple(), clang::CanQual< T >::getTypePtr(), clang::ASTContext::getTypeSize(), clang::Type::isReferenceType(), clang::ASTContext::LongDoubleTy, clang::ASTContext::LongLongTy, clang::CodeGen::state, clang::ASTContext::UnsignedLongLongTy, V, clang::ASTContext::VoidPtrTy, and clang::ASTContext::VoidTy.